/** 
 * DevExtreme (ui/list/ui.list.edit.decorator_registry.js)
 * Version: 16.1.5
 * Build date: Mon Jul 25 2016
 *
 * Copyright (c) 2012 - 2016 Developer Express Inc. ALL RIGHTS RESERVED
 * EULA: https://www.devexpress.com/Support/EULAs/DevExtreme.xml
 * MAY BE USED WITH: DevExtreme Complete, DevExtreme Web, DevExtreme Mobile
 */
"use strict";
define(function(require, exports, module) {
    var $ = require("jquery");
    exports.registry = {};
    exports.register = function(option, type, decoratorClass) {
        var decoratorsRegistry = exports.registry;
        var decoratorConfig = {};
        decoratorConfig[option] = decoratorsRegistry[option] ? decoratorsRegistry[option] : {};
        decoratorConfig[option][type] = decoratorClass;
        decoratorsRegistry = $.extend(decoratorsRegistry, decoratorConfig)
    }
});
